/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#ifndef LGUI_PANGO
#define LGUI_PANGO

#include "lgui.h"

/* PangoFontDescription */

int lgui_pango_font_description_from_string(lua_State* L);
int lgui_pango_font_description_set_size(lua_State* L);

/* PangoLayout */

int lgui_pango_layout_set_text(lua_State* L);
int lgui_pango_layout_set_markup(lua_State* L);
int lgui_pango_layout_set_font_description(lua_State* L);
int lgui_pango_layout_set_width(lua_State* L);
int lgui_pango_layout_set_height(lua_State* L);
int lgui_pango_layout_set_wrap(lua_State* L);
int lgui_pango_layout_set_spacing(lua_State* L);
int lgui_pango_layout_set_indent(lua_State* L);
int lgui_pango_layout_set_justify(lua_State* L);
int lgui_pango_layout_set_aligment(lua_State* L);
int lgui_pango_layout_set_ellipsize(lua_State* L);

#endif
