/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#ifndef LGUI_ENTRY
#define LGUI_ENTRY

#include "widget.h"

/* GtkEntryCompletion */

int lgui_entry_completion_new(lua_State* L);
int lgui_entry_completion_set_model(lua_State* L);
int lgui_entry_completion_set_text_column(lua_State* L);

/* GtkEntry */

int lgui_entry_new(lua_State* L);
int lgui_entry_set_completion(lua_State* L);

/* GtkSpinButton */

int lgui_spin_button_new(lua_State* L);
int lgui_spin_button_new_with_range(lua_State* L);
int lgui_spin_button_update(lua_State* L);

#endif
