/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/


#ifndef LGUI_TREESELECTION
#define LGUI_TREESELECTION

#include "lgui.h"

int lgui_tree_path_handler(lua_State* L);
int lgui_tree_selection_set_mode(lua_State* L);
int lgui_tree_selection_get_mode(lua_State* L);
int lgui_tree_selection_count_selected_rows(lua_State* L);
int lgui_tree_selection_select_iter(lua_State* L);
int lgui_tree_selection_select_range(lua_State* L);
int lgui_tree_selection_unselect_iter(lua_State* L);
int lgui_tree_selection_unselect_range(lua_State* L);
int lgui_tree_selection_iter_is_selected(lua_State* L);
int lgui_tree_selection_get_selected(lua_State* L);
int lgui_tree_selection_get_selected_rows(lua_State* L);

#endif
